1991-2006
Silicon Graphics, Inc.
gluNurbsCallbackDataEXT
3G

# gluNurbsCallbackDataEXT

set a user data pointer

## C Specification

                    void gluNurbsCallbackDataEXT
                    GLUnurbs* nurb
                    GLvoid* userData

## Parameters

`nurb`

  Specifies the NURBS object (created with gluNewNurbsRenderer).

`userData`

  Specifies a pointer to the user's data.

## Description

`gluNurbsCallbackDataEXT` is used to pass a pointer to the application's data to NURBS tessellator. A copy of this pointer will be passed by the tessellator in the NURBS callback functions (set by gluNurbsCallback).

## See Also

gluNurbsCallback

## Copyright

Copyright 1991-2006 Silicon Graphics, Inc. This document is licensed under the SGI Free Software B License. For details, see http://oss.sgi.com/projects/FreeB/.